Delete Session

Delete Session
Delete current session (logout)

Deletes the current active session, effectively logging out the user. Invalidates the authentication token.

Request
URI
DELETE
https://{server}:9443/api/admin/v1/sessions
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully deleted session (logged out)

Returns SessionDeleteResponse of type(s) application/json
{
    "success": true,
    "completed": true,
    "time": 1753089693083,
    "version": "1.0"
}
boolean
success
Optional

success

boolean
completed
Optional

completed

integer As int64 As int64
time
Optional

Unix timestamp in milliseconds

string
version
Optional

version


401

Unauthorized - no active session or invalid authorization token

Returns SessionErrorResponse of type(s) application/json
{
    "success": false,
    "completed": false,
    "time": 1753089693083,
    "version": "1.0",
    "errorCode": "INVALID_SESSION_TOKEN",
    "error": "No active session found"
}
boolean
success
Required

Indicates if the operation was successful

boolean
completed
Required

Indicates if the operation completed

integer As int64 As int64
time
Required

Unix timestamp in milliseconds

string
version
Required

API version

string
errorCode
Optional

Enum error code for specific errors

Possible values are : BAD_REQUEST, INVALID_CREDENTIALS, NOT_ENOUGH_PRIVILEGES, INVALID_SESSION_TOKEN, INTERNAL_SERVER_ERROR,
string
error
Optional

Human-readable error message


500

Internal server error

Returns SessionErrorResponse of type(s) application/json
{
    "success": false,
    "completed": false,
    "time": 1753089693083,
    "version": "1.0",
    "errorCode": "INTERNAL_SERVER_ERROR",
    "error": "Error during logout"
}
boolean
success
Required

Indicates if the operation was successful

boolean
completed
Required

Indicates if the operation completed

integer As int64 As int64
time
Required

Unix timestamp in milliseconds

string
version
Required

API version

string
errorCode
Optional

Enum error code for specific errors

Possible values are : BAD_REQUEST, INVALID_CREDENTIALS, NOT_ENOUGH_PRIVILEGES, INVALID_SESSION_TOKEN, INTERNAL_SERVER_ERROR,
string
error
Optional

Human-readable error message


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/admin/v1/sessions